Avisos
Vaciar todo

Gtranslate no me funciona con la opción On Fly (jQuery)  

 
JF
 JF
Estimable Member

Hola, hasta hace poco me funcionaba bien el Gtranslate en la opción On Fly (jQuery). Ahora he tenido que habilitar la opción Default, porque de lo contrario no hace nada. Mi url es www.sencom.es
Saludos

Citar
Respondido : 16/11/2011 8:18 am
David Noguera
 David Noguera
Miembro Admin

Hola Joan,

podrías volver a activar la opción onFly?? Seguramente será un problema de Javascript que aparecerá en la consola de error de Firebug.. pero no si no la vemos activada en la web no podríamos decirte..

Saludos

ResponderCitar
Respondido : 16/11/2011 9:23 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

JF
 JF
Estimable Member

Hola, la activo. Gracias!

ResponderCitar
Respondido : 16/11/2011 9:34 am
David Noguera
 David Noguera
Miembro Admin

Efectivamente veo que hay muchos errores de Javascript.. te adjunto captura de pantalla donde se ven los errores en la consola de Firebug.

Al parecer el problema es que jQuery no está funcionando bien en modo compatibilidad... comprueba en los parámetros del GTranslate que haya un modo de compatibilidad de jQuery y actívalo y comprueba si sigue pasando lo mismo, avísanos cuando lo hayas activado para que veamos si sigue habiendo errores de Javascript..

Saludos

ResponderCitar
Respondido : 16/11/2011 9:51 am

Cursos Gratuitos WordPress

JF
 JF
Estimable Member

Hola, no veo ningún modo de compatibilidad. Sólo aparece "Load jQuery library" con las opciones "Activado" o "Desactivado". Lo había probado de las dos maneras y nada. Ahora está activado. ¿Sirve esto o hago otra cosa? Gracias 🙂

ResponderCitar
Respondido : 16/11/2011 10:12 am
David Noguera
 David Noguera
Miembro Admin

Pues entonces, parece que la extensión tiene problemas de compatibilidad con tu plantilla cuando usas jQuery, haz una prueba rápida cambiando la plantilla del site por la que viene por defecto (rhuk milkyway o la que tengas instalada por defecto en tu Joomla) y comprueba si funciona.. en caso de que funcione es un problema de compatibilidad con tu plantilla y habría que realizar muchas modificaciones de código javascript en el módulo GTranslate para que llegue a funcionar correctamente con tu plantilla..

Saludos

ResponderCitar
Respondido : 16/11/2011 10:16 am

wpdoctor-revisa-la-salud-de-tu-wordpress

JF
 JF
Estimable Member

¿Alguna alternativa para sustituir el Gtranslate por otra aplicación que funcione con mi plantilla?

ResponderCitar
Respondido : 16/11/2011 10:45 am
Jordi Sala
 Jordi Sala
Miembro Admin

Hola Joan,

Dispones de otras opciones para realizar traducción automática, puedes revisar en:
http://extensions.joomla.org/extensions/languages/automatic-translations

Saludos,

ResponderCitar
Respondido : 16/11/2011 11:40 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

JF
 JF
Estimable Member

Gracias, he instalado el Iyosis Google Translation y me funciona bien 🙂 Sólo hay un problema. La caja de lista desplegable queda cortada (demasiado grande). ¿Hay algún modo de acortar su longitud?

ResponderCitar
Respondido : 16/11/2011 12:50 pm
David Noguera
 David Noguera
Miembro Admin

Sí, añadiendo este código al fichero template.css de tu plantilla:

select#translate{width:145px!important;}

Da igual donde lo añadas, al tener el "!important" se debería de aplicar igualmente

Saludos

ResponderCitar
Respondido : 16/11/2011 1:45 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

JF
 JF
Estimable Member

Disculpa mi ignorancia :unsure: ¿Como hago para encontrar el fichero template.css? Con el gestor de plantillas, con el CPanel... Soy nuevo en esto y te agradezco mucho que me des los pasos a seguir para localizarlo

ResponderCitar
Respondido : 16/11/2011 2:20 pm
JF
 JF
Estimable Member

Creo que he encontrado donde se hace.
He dado con este archivo:
/public_html/templates/ja_teline_iv/css/template.css

Pero al ir a editarlo me pide que me asegure de editar en uft-8 porqué si me equivoco puedo liar una gorda. Estos mensajes me asustan. He hecho una copia del archivo en otra carpeta, pero aún así, antes de seguir adelante prefiero comentarlo. ¿Qué hago? ¿Lo habro con el editor de código en uft-8?

ResponderCitar
Respondido : 16/11/2011 3:07 pm

Cursos Gratuitos WordPress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola Joan

Si, puedes usar UTF8, es buena practica la que has realizado de hacer copia de tu archivo a modificar :).
Puedes también descargar el archivo a tu máquina local y editarlo con algún editor como notepad y posteriormente subirlo nuevamente al servidor

Saludos.

ResponderCitar
Respondido : 16/11/2011 3:38 pm
JF
 JF
Estimable Member

Mil gracias. Ya se ve bien! 🙂

ResponderCitar
Respondido : 16/11/2011 5:23 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

JF
 JF
Estimable Member

Muchas gracias, lo he hecho y ha funcionado 🙂

ResponderCitar
Respondido : 16/11/2011 5:23 pm